#include "node/msg_history.h"
#include "node/robot/model.h"
#include "node/robot/state.h"
#include "node/servos.h"

#pragma once

namespace schpin
{

struct node_context
{
        robot_model robot;
        servo_group sgroup;
        robot_state rstate;
        msg_history hist;

        node_context( robot_model m, servo_group g )
          : robot( std::move( m ) )
          , sgroup( std::move( g ) )
          , rstate( robot )
        {
        }
};

// TODO: fix this
inline std::ostream& operator<<( std::ostream& os, const node_context& con )
{
        return os << "robot: \n" << con.robot << "\n" << con.sgroup;
}

}  // namespace schpin
