#include "emlabcpp/physical_quantity.h"
#include "schpin_lib/quantity.h"

#pragma once

// TODO: this is troublesoem the using...
namespace em = emlabcpp;

namespace schpin
{

struct occupancy : public em::quantity< occupancy, float >
{
        using quantity< occupancy, float >::quantity;

        static std::string get_unit()
        {
                return "o";  // ok, unit of this is %, but can we somehow implement 'scale' during
                             // print?
        }
};

enum class direction
{
        POS,
        NEG
};

}  // namespace schpin

template <>
struct std::numeric_limits< schpin::occupancy >
  : std::numeric_limits< em::quantity< schpin::occupancy, float > >
{
};

template <>
struct std::hash< schpin::occupancy > : std::hash< em::quantity< schpin::occupancy, float > >
{
};
