require "schpin_control.sequences.koke"

from  = 0.1
target = 0.7853982

function get() 
    return {
        get_leg_state{leg='leg/rr'}[2],
        get_leg_state{leg='leg/rl'}[2],
        get_leg_state{leg='leg/fr'}[2],
        get_leg_state{leg='leg/fl'}[2]
    }
end

joint_goto{joints=betas, pos = from, time=1.0}
block_yield{joints=betas}

start = get_system_time()
joint_goto{joints=betas, pos = target, time=2.0}

while true do
    coroutine.yield()
    t = get_system_time()
    g = get()
    if get()[1] >= target - 0.01 then
        break
    end
end

