#include <emlabcpp/static_vector.h>

#pragma once

namespace em = emlabcpp;  // tODO: these are randomly but around the codebase, fix!

namespace schpin
{

template < std::size_t N >
class prot_sizeless_message
{
        em::static_vector< uint8_t, N > data_;

      public:
        using value_type = uint8_t;

        prot_sizeless_message( em::static_vector< uint8_t, N > data )
          : data_( std::move( data ) )
        {
        }

        prot_sizeless_message() = default;

        uint8_t operator[]( std::size_t i ) const
        {
                return data_[i];
        }

        std::size_t size() const
        {
                return data_.size();
        }
};

}  // namespace schpin
